eWay plugin giving errors


  • Default avatar
    lumis    
     a month ago
    0

    Hi, we were ready to launch but on final testing we could not find a working eway payment plugin for our newly upgraded Joomla 3.9.4 and Virtuemart 3.4.2 website. We have tested the eway plugin we purchased here and are getting errors in all php versions.


    In php5.6 (tested just to try) and php 7.0:  a Card Number Invalid, Card CVV Number Invalid or Missing, Error 323: The payment plugin failed 

    In php 7.1 and 7.2: 0-[] operator not supported for strings error

    Are we able to supply details so you can take a look? We are keen to launch but need the payment plugin working before we can.


    Many thanks,

    Aaron

  • Your avatar
    seyi    
     a month ago
    0

    Hello,

    Please send me a private message with temp access and I will have a look.
  • Default avatar
    lumis    
     a month ago
    0

    Thanks, I have sent a PM
  • Your avatar
    seyi    
     a month ago
    0

    Thanks for the access.

    In the file www/plugins/vmpayment/eway/eway.php, on line 130, I changed:

    <?php
            $htmla 
    '';
    ?>


    to
    <?php
            $htmla 
    = array();
    ?>

    That seems to have fixed the issue.